Skip to main content
GET
/
api
/
v3
/
store
/
markets
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const markets = await client.store.markets.list()
{
  "data": [
    {
      "id": "mkt_UkLWZg9DAJ",
      "name": "North America",
      "currency": "USD",
      "default_locale": "en",
      "tax_inclusive": false,
      "default": true,
      "supported_locales": [
        "en",
        "es"
      ],
      "countries": [
        {
          "iso": "US",
          "iso3": "USA",
          "name": "United States of America",
          "states_required": true,
          "zipcode_required": true
        }
      ]
    },
    {
      "id": "mkt_gbHJdmfrXB",
      "name": "Europe",
      "currency": "EUR",
      "default_locale": "de",
      "tax_inclusive": true,
      "default": false,
      "supported_locales": [
        "de",
        "en",
        "fr"
      ],
      "countries": [
        {
          "iso": "DE",
          "iso3": "IS40",
          "name": "Germany",
          "states_required": false,
          "zipcode_required": true
        },
        {
          "iso": "FR",
          "iso3": "IS41",
          "name": "France",
          "states_required": false,
          "zipcode_required": true
        }
      ]
    }
  ]
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Headers

x-spree-api-key
string
required

Query Parameters

fields
string

Comma-separated list of fields to include (e.g., name,slug,price). id is always included.

Response

markets found

data
array
required